Summary:	A fast, feature rich Window Manager
Name:		WindowMaker
Version:	0.92.0
Release:	18%{?dist}

License:	GPLv2+
Group:		User Interface/Desktops
URL:		http://www.windowmaker.info/
Source0:	ftp://windowmaker.info/pub/source/release/WindowMaker-0.92.0.tar.bz2
Source2:        WindowMaker.desktop
Source3:	WindowMaker-uk.po
Source4:	WPrefs-uk.po
Source5:	WindowMaker-README.newbuttons
Source6:	WindowMaker-newbuttons.nextstyle.tiff
Source7:	WindowMaker-newbuttons.nextstyle.xpm
Source8:	WindowMaker-newbuttons.oldstyle.tiff

Source10:       ftp://windowmaker.org/pub/source/release/WindowMaker-extra-0.1.tar.gz

# cvs snapshot
Patch0:         WindowMaker-0.92.0-cvs20060123.patch
Patch1:         WindowMaker-gcc41.patch
#patches from altlinux
Patch101:       WindowMaker-0.91.0-alt-sowings.patch
Patch102:       WindowMaker-0.91.0-alt-session.patch
Patch103:       WindowMaker-0.91.0-alt-restartscrpt.patch
Patch104:       WindowMaker-0.91.0-alt-menutrans.patch
Patch105:       WindowMaker-0.91.0-alt-titlebar.patch
Patch106:       WindowMaker-0.91.0-alt-clipnotext.patch
Patch107:       WindowMaker-0.91.0-alt-mmx.patch
Patch108:       WindowMaker-0.80.2-cvs-alt-textfield.patch
Patch109:       WindowMaker-0.91.0-alt-focus.patch

#add new features as well (sound good)
Patch200:	WindowMaker-0.91.0-wmcontrib-singleclick.patch
Patch201:	WindowMaker-0.91.0-alt-dockhotkeys.patch
Patch202:	WindowMaker-0.91.0-alt-vlaad-trance.patch
Patch203:	WindowMaker-0.91.0-alt-vlaad-newbuttons.patch
Patch204:	WindowMaker-0.91.0-alt-adialog.patch
Patch205:	WindowMaker-0.91.0-hmepas-minimizeall.patch
Patch206:	WindowMaker-0.91.0-hmepas-swmenu_rclick.patch
Patch207:	WindowMaker-0.91.0-sga-moving-add.patch
Patch208:	WindowMaker-0.91.0-peter-newappicon.patch
Patch209:	WindowMaker-0.91.0-peter-mouse-placement.patch
# actually a fixed version that does respect animations of settings
# for the bounce animation. Fixes #185579.
Patch210:	WindowMaker-0.91.0-peter-appicon-bouncer2.patch
Patch211:       WindowMaker-0.91.0-sga-swpanel-customization.patch
Patch212:       WindowMaker-0.92.0-alt-newpo.patch

# wakeup enhancements to save power (#267041)
Patch301:       WindowMaker-wakeup-dnotify.patch
Patch302:       WindowMaker-wakeup-delayedAction.patch
Patch303:       WindowMaker-wakeup-timer.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libpng-devel libjpeg-devel libungif-devel
BuildRequires:	libtiff-devel zlib-devel gettext-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrender-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  fontconfig-devel
BuildRequires:  automake14 libtool

Requires:       WINGs-libs = %{version}-%{release}

%package devel
Summary:	Development files needed for WindowMaker
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       WINGs-devel = %{version}-%{release}
Requires:	libX11-devel
Requires:	pkgconfig

%description
Window Maker is an X11 window manager designed to give additional
integration support to the GNUstep Desktop Environment. In every way
possible, it reproduces the elegant look and feel of the NeXTSTEP[tm]
GUI. It is fast, feature rich, easy to configure, and easy to use. In
addition, Window Maker works with GNOME and KDE, making it one of the
most useful and universal window managers available.

%description devel
Window Maker is an X11 window manager designed to give additional
integration support to the GNUstep Desktop Environment. In every way
possible, it reproduces the elegant look and feel of the NeXTSTEP[tm]
GUI. This package contains development files for WindowMaker libraries.

%package -n WINGs-libs
Summary:	Widgets and image libraries needed for WindowMaker
Group:		System Environment/Libraries

%description -n WINGs-libs
Widgets and image libraries needed for WindowMaker.

%package -n WINGs-devel
Summary:        Development files for the WINGs library
Group:          System Environment/Libraries
Requires:	libX11-devel
Requires:	xorg-x11-proto-devel
Requires:	libXinerama-devel
Requires:	libXext-devel
Requires:	libtiff-devel
Requires:	zlib-devel
Requires:	libXpm-devel
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libungif-devel
Requires:	libXft-devel
Requires:	fontconfig-devel

%description -n WINGs-devel
Development files for the WINGs library.

%prep
%setup -q -a10

%patch0 -p1
%patch1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1 
%patch204 -p1 
%patch205 -p1
%patch206 -p1 
%patch207 -p1 
%patch208 -p1 
%patch209 -p1 
%patch210 -p1 
%patch211 -p1
%patch212 -p1 -b .vns
%patch301 -p1
%patch302 -p1
%patch303 -p1

cp %{SOURCE3} po/uk.po
cp %{SOURCE4} WPrefs.app/po/uk.po
cp %{SOURCE5} README.newbuttons

cp %{SOURCE6} WPrefs.app/tiff/nextstyle.tiff
cp %{SOURCE7} WPrefs.app/xpm/nextstyle.xpm
cp %{SOURCE8} WPrefs.app/tiff/oldstyle.tiff

for i in WindowMaker/*menu* ; do
echo $i
sed -i.old -e 's:/usr/local/:%{_prefix}/:g' \
  -e 's:/home/mawa:$(HOME):g' \
  -e 's:GNUstep/Applications/WPrefs.app:bin:g' $i 
done

autoreconf -sif

%build
# enable new features
CFLAGS="$RPM_OPT_FLAGS -DBOUNCE_APP -DNEWAPPICON -DVIRTUAL_DESKTOP"
LINGUAS=`(cd po ; echo *.po|sed 's/zh_TW.Big5.po//g;s/.po//g')`
NLSDIR="%{_datadir}/locale"
export CFLAGS LINGUAS NLSDIR
%configure --enable-gnome --enable-kde --enable-usermenu --enable-xinerama \
--enable-fast-install --enable-modelock --x-includes=%{_includedir} \
--x-libraries=%{_libdir} --disable-mmx --disable-static --enable-shared
#smp_mflags are broken atm
make #%{?_smp_mflags}

# do extras stuff
cd WindowMaker-extra-0.1
%configure --x-libraries=%{_libdir} --x-includes=%{_includedir}
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT NLSDIR=%{_datadir}/locale install

%find_lang '\(WPrefs\|%{name}\|WINGs\)'

install -D -m0644 -p %{SOURCE2} \
%{buildroot}%{_datadir}/xsessions/WindowMaker.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

chmod 755 %{buildroot}%{_datadir}/%{name}/{autostart.sh,exitscript.sh}

# now install extras stuff
make -C WindowMaker-extra-0.1 install DESTDIR=$RPM_BUILD_ROOT

# clean up wmlib.pc
sed -i -e 's:-lWUtil::' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/wmlib.pc

#multilib fun
sed -i -e 's:^WLFLAGS[\w="].*::' \
    $RPM_BUILD_ROOT%{_bindir}/get-{wutil,wings,wraster}-flags
touch -r NEWS $RPM_BUILD_ROOT%{_bindir}/get-{wutil,wings,wraster}-flags

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n WINGs-libs -p /sbin/ldconfig

%postun -n WINGs-libs -p /sbin/ldconfig

%files -f '\(WPrefs\|%{name}\|WINGs\)'.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS FAQ* README* COPYING*
%config %{_sysconfdir}/%{name}
%{_bindir}/*
%{_libdir}/libWMaker.so.*
%{_datadir}/xsessions/WindowMaker.desktop
%{_datadir}/%{name}/
%{_datadir}/WPrefs/
%{_mandir}/man1/*.1x*
%{_mandir}/sk/man1/*.1x*
%exclude %{_bindir}/get-*-flags

%files devel
%defattr(-,root,root,-)
%{_bindir}/get-wutil-flags
%{_libdir}/libWMaker.so
%{_libdir}/pkgconfig/wmlib.pc
%{_includedir}/WMaker.h

%files -n WINGs-libs
%defattr(-,root,root,-)
%{_libdir}/libWINGs.so.*
%{_libdir}/libwraster.so.*
%{_libdir}/libExtraWINGs.so.*
%{_libdir}/libWUtil.so.*
%{_datadir}/WINGs/

%files -n WINGs-devel
%defattr(-,root,root,-)
%{_bindir}/get-wings-flags
%{_bindir}/get-wraster-flags
%{_libdir}/libWINGs.so
%{_libdir}/libWUtil.so
%{_libdir}/libExtraWINGs.so
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/wrlib.pc
%{_libdir}/pkgconfig/WINGs.pc
%{_includedir}/WINGs/
%{_includedir}/wraster.h

%changelog
* Wed Sep 24 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.92.0-18
- fix patches to apply without fuzz
- adjust URL/Source to new website

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.92.0-17
- Rebuilt for gcc43

* Thu Jan 03 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.92.0-16
- fix #427430

* Sun Dec 09 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.92.0-15
- add patches from #267041 for less wakeup calls
- fix multilib stuff #343431

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.92.0-14
- new license tag
- rebuild for buildid

* Sun Jun 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-13
- fix a menu bug for WPrefs
- clean up menu path

* Thu Apr 26 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-12
- apply some changes from Patrice Dumas
- fix requires

* Sun Mar 04 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-11
- fix install location of WPrefs (#228346)
- fix menu modification sniplet
- split into sub packages to fix multilib issues (#228346)
- mark sh files executable

* Sat Nov 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-10
- fix #185579: bouncing animation will respect animations off setting
- fix #211263: missing dependencies in devel package

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-9
- FE6 rebuild

* Thu Mar 02 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-8
- fix gdm detection

* Sun Feb 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-7
- fix #181981
- go to new cvs snapshot (which includes qt fix)
- add patches from altlinuxs rpm (suggested by Andrew Zabolotny)
- get rid of static libs (finally)
- tune configure
- add uk translation
- finally add extras source
- fix stack-smash while reading workspace names

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-6
- Rebuild for Fedora Extras 5

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-5
- modular xorg integration

* Thu Nov 17 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-4
- add menu fix from Rudol Kastel (#173329)

* Mon Aug 22 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-3
- add gcc4/x86_64 patch from cvs

* Tue Aug 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-2
- try to fix x86_64 build

* Tue Aug 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-1
- upgrade to new version 
- use dist tag
- use smp_mflags
- fix #163459

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add disttag fc3<fc4

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.91.0-1
- upgrade to 0.91.0

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 28 2003 Dams <anvil[AT]livna.org> - 0:0.80.2-0.fdr.6
- exclude -> rm
- Added patch to fix gtk2 apps handling and other focus things

* Wed Sep 17 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.5
- Shortened files section
- Fixed tarball permissions (now a+r)

* Wed Sep 17 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.4
- Header files were installed in the wrong directory. Fixed. Slovak
  man pages installation fixed same way.
- WindowWaker-libs is now obsolete.

* Tue Aug 12 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.3
- buildroot -> RPM_BUILD_ROOT
- New devel package
- No more libs package

* Thu Apr 10 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.2
- Added missing Require: for gettext

* Tue Apr  8 2003 Dams <anvil[AT]livna.org>
- Initial build.
